All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.metadata.remote
Interface SASClientConnection

All Superinterfaces:
  CMetadata, Connection, ContentLocation, DeployedDataPackage, MdObjectBase, MdObjectBaseUtil, MdObjectBaseXML, PrimaryType, java.rmi.Remote, Root

    public interface SASClientConnection

extends Connection

Represents the information needed by SAS software to connect to other servers.

Attributes of SASClientConnection are:

- `ServerShortName`
- `RemoteAddress`
- `Service`
- `Port`

Associations of SASClientConnection are:

- `ScriptFiles`
- `Libraries`

## Usage

To create an instance of this SASClientConnection, use the `factory` create methods.
Example: create a SASClientConnection with name "SASClientConnection_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     SASClientConnection myObject = (SASClientConnection) factory.createComplexMetadataObject(objectStore, "SASClientConnection_Object", MetadataObjects.SASCLIENTCONNECTION, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

Field Summary
`static java.lang.String` | `ASSOCIATION_LIBRARIES_NAME` Constant used for the name of the Libraries association.
`static java.lang.String` | `ASSOCIATION_SCRIPTFILES_NAME` Constant used for the name of the ScriptFiles association.
`static java.lang.String` | `ATTRIBUTE_PORT_NAME` Constant used for the name of the Port attribute.
`static java.lang.String` | `ATTRIBUTE_REMOTEADDRESS_NAME` Constant used for the name of the RemoteAddress attribute.
`static java.lang.String` | `ATTRIBUTE_SERVERSHORTNAME_NAME` Constant used for the name of the ServerShortName attribute.
`static java.lang.String` | `ATTRIBUTE_SERVICE_NAME` Constant used for the name of the Service attribute.

Fields inherited from interface com.sas.metadata.remote.Connection
`ASSOCIATION_DATASOURCES_NAME, ASSOCIATION_DOMAIN_NAME, ASSOCIATION_PASSTHRUPASSWORD_NAME, ASSOCIATION_PROVIDERS_NAME, ASSOCIATION_SAPW_NAME, ASSOCIATION_SOURCE_NAME, ATTRIBUTE_APPLICATIONPROTOCOL_NAME, ATTRIBUTE_AUTHENTICATIONTYPE_NAME, ATTRIBUTE_COMMUNICATIONPROTOCOL_NAME`

Fields inherited from interface com.sas.metadata.remote.ContentLocation
`ASSOCIATION_ASSOCIATEDCONTENTTYPE_NAME, ASSOCIATION_FILEREFS_NAME, ASSOCIATION_REPORTS_NAME, ASSOCIATION_TSASSOCIATEDNAMESPACE_NAME, ASSOCIATION_UNITOFTIMES_NAME`

Fields inherited from interface com.sas.metadata.remote.DeployedDataPackage
`ASSOCIATION_ALIASES_NAME, ASSOCIATION_ALIASFOR_NAME, ASSOCIATION_DEPLOYEDCOMPONENTS_NAME, ASSOCIATION_TABLECOLLECTIONS_NAME, ASSOCIATION_USEDBYPACKAGES_NAME, ASSOCIATION_USINGPACKAGES_NAME`

Fields inherited from interface com.sas.metadata.remote.PrimaryType
`ASSOCIATION_FAVORITESCONTAINERS_NAME, ATTRIBUTE_ISHIDDEN_NAME, ATTRIBUTE_PUBLICTYPE_NAME`

Fields inherited from interface com.sas.metadata.remote.Root
`ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

Fields inherited from interface com.sas.metadata.remote.MdObjectBase
`ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

Method Summary
`abstract AssociationList` | `getLibraries()` Gets the Association list of `Libraries`
`abstract AssociationList` | `getLibraries(boolean fGoToServer)` Gets the Associationlist of `Libraries`
`abstract int` | `getPort()` Gets the `int` value of `Port`
`abstract int` | `getPortState()` Gets the Metadata State of `Port`
`abstract java.lang.String` | `getRemoteAddress()` Gets the `String` value of `RemoteAddress`
`abstract int` | `getRemoteAddressMaxLength()` Gets the maximum length of `RemoteAddress`
`abstract int` | `getRemoteAddressState()` Gets the Metadata State of `RemoteAddress`
`abstract AssociationList` | `getScriptFiles()` Gets the AssociationList of `ScriptFiles`
`abstract AssociationList` | `getScriptFiles(boolean fGoToServer)` Gets the Associationlist of `ScriptFiles`
`abstract java.lang.String` | `getServerShortName()` Gets the `String` value of `ServerShortName`
`abstract int` | `getServerShortNameMaxLength()` Gets the maximum length of `ServerShortName`
`abstract int` | `getServerShortNameState()` Gets the Metadata State of `ServerShortName`
`abstract java.lang.String` | `getService()` Gets the `String` value of `Service`
`abstract int` | `getServiceMaxLength()` Gets the maximum length of `Service`
`abstract int` | `getServiceState()` Gets the Metadata State of `Service`
`abstract void` | `initializePredObjects()` (S) Adds the Associated objects to the predObjects which are: `ScriptFiles`
`abstract void` | `initializeRequiredObjects()` (S) This initializes the Required Objects(Roles) which are:
`abstract void` | `setLibraries(AssociationList list)` Sets the `Libraries` list to be `list`.
`abstract void` | `setLibraries(AssociationList inObjects, int state)` Sets the entire Libraries list to match the passed in AssociationList, sets the state of the Libraries
`abstract void` | `setPort(int inPort)` Sets the `Port` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setPort(int inPort, int state)` Sets the `Port` Metadata State.
`abstract void` | `setPort(java.lang.String inPort)` Sets the `Port` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setPort(java.lang.String inPort, int state)` Sets the `Port` value and Metadata State.
`abstract void` | `setPortState(int state)` Sets the Metadata State of `Port`.
`abstract void` | `setRemoteAddress(java.lang.String inRemoteAddress)` Sets the `RemoteAddress` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setRemoteAddress(java.lang.String inRemoteAddress, int state)` Sets the `RemoteAddress` Metadata State.
`abstract void` | `setRemoteAddressState(int state)` Sets the Metadata State of `RemoteAddress`.
`abstract void` | `setScriptFiles(AssociationList list)` Sets the `ScriptFiles` list to be `list`.
`abstract void` | `setScriptFiles(AssociationList inObjects, int state)` Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList
`abstract void` | `setServerShortName(java.lang.String inServerShortName)` Sets the `ServerShortName` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setServerShortName(java.lang.String inServerShortName, int state)` Sets the `ServerShortName` Metadata State.
`abstract void` | `setServerShortNameState(int state)` Sets the Metadata State of `ServerShortName`.
`abstract void` | `setService(java.lang.String inService)` Sets the `Service` value and sets the state to MetadataState.LOCAL.
`abstract void` | `setService(java.lang.String inService, int state)` Sets the `Service` Metadata State.
`abstract void` | `setServiceState(int state)` Sets the Metadata State of `Service`.

Methods inherited from interface com.sas.metadata.remote.Connection
`getApplicationProtocol, getApplicationProtocolMaxLength, getApplicationProtocolState, getAuthenticationType, getAuthenticationTypeMaxLength, getAuthenticationTypeState, getCommunicationProtocol, getCommunicationProtocolMaxLength, getCommunicationProtocolState, getDataSources, getDataSources, getDomain, getDomains, getDomains, getPassthruPassword, getPassthruPasswords, getPassthruPasswords, getProviders, getProviders, getSAPW, getSAPWs, getSAPWs, getSource, getSources, getSources, setApplicationProtocol, setApplicationProtocol, setApplicationProtocolState, setAuthenticationType, setAuthenticationType, setAuthenticationTypeState, setCommunicationProtocol, setCommunicationProtocol, setCommunicationProtocolState, setDataSources, setDataSources, setDomain, setDomains, setDomains, setPassthruPassword, setPassthruPasswords, setPassthruPasswords, setProviders, setProviders, setSAPW, setSAPWs, setSAPWs, setSource, setSources, setSources`

Methods inherited from interface com.sas.metadata.remote.ContentLocation
`getAssociatedContentType, getAssociatedContentTypes, getAssociatedContentTypes, getFileRefs, getFileRefs, getReports, getReports, getTSAssociatedNamespace, getTSAssociatedNamespaces, getTSAssociatedNamespaces, getUnitofTimes, getUnitofTimes, setAssociatedContentType, setAssociatedContentTypes, setAssociatedContentTypes, setFileRefs, setFileRefs, setReports, setReports, setTSAssociatedNamespace, setTSAssociatedNamespaces, setTSAssociatedNamespaces, setUnitofTimes, setUnitofTimes`

Methods inherited from interface com.sas.metadata.remote.DeployedDataPackage
`getAliases, getAliases, getAliasFor, getAliasFors, getAliasFors, getDeployedComponents, getDeployedComponents, getTableCollections, getTableCollections, getUsedByPackages, getUsedByPackages, getUsingPackages, getUsingPackages, setAliases, setAliases, setAliasFor, setAliasFors, setAliasFors, setDeployedComponents, setDeployedComponents, setTableCollections, setTableCollections, setUsedByPackages, setUsedByPackages, setUsingPackages, setUsingPackages`

Methods inherited from interface com.sas.metadata.remote.PrimaryType
`getFavoritesContainers, getFavoritesContainers, getIsHidden, getIsHiddenState, getPublicType, getPublicTypeMaxLength, getPublicTypeState, setFavoritesContainers, setFavoritesContainers, setIsHidden, setIsHidden, setIsHidden, setIsHidden, setIsHiddenState, setPublicType, setPublicType, setPublicTypeState`

Methods inherited from interface com.sas.metadata.remote.Root
`getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML
`closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil
`addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

Methods inherited from interface com.sas.metadata.remote.MdObjectBase
`addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

Field Detail

### ATTRIBUTE_SERVERSHORTNAME_NAME

    static final java.lang.String ATTRIBUTE_SERVERSHORTNAME_NAME

  Constant used for the name of the ServerShortName attribute.

  ServerShortName: This is the short server name that is used by SAS software to access a server.

  See Also:
    Constant Field Values

### ATTRIBUTE_REMOTEADDRESS_NAME

    static final java.lang.String ATTRIBUTE_REMOTEADDRESS_NAME

  Constant used for the name of the RemoteAddress attribute.

  RemoteAddress: This is the remote address to use to access the server. This can be an IP address, an IP name, or any other address acceptable to SAS software.

  See Also:
    Constant Field Values

### ATTRIBUTE_SERVICE_NAME

    static final java.lang.String ATTRIBUTE_SERVICE_NAME

  Constant used for the name of the Service attribute.

  Service: This is the service name used to connect to this server.

  See Also:
    Constant Field Values

### ATTRIBUTE_PORT_NAME

    static final java.lang.String ATTRIBUTE_PORT_NAME

  Constant used for the name of the Port attribute.

  Port: This is the port number to use when accessing this server.

  See Also:
    Constant Field Values

### ASSOCIATION_SCRIPTFILES_NAME

    static final java.lang.String ASSOCIATION_SCRIPTFILES_NAME

  Constant used for the name of the ScriptFiles association.

  ScriptFiles: The list of files that contain connection scripts.

  See Also:
    Constant Field Values

### ASSOCIATION_LIBRARIES_NAME

    static final java.lang.String ASSOCIATION_LIBRARIES_NAME

  Constant used for the name of the Libraries association.

  Libraries: The list of SAS libraries that use this connection.

  See Also:
    Constant Field Values

Method Detail

### initializeRequiredObjects

    void initializeRequiredObjects()
                                   throws java.rmi.RemoteException

  (S) This initializes the Required Objects(Roles) which are:

  Specified by:
    `initializeRequiredObjects` in interface `Connection`
  Specified by:
    `initializeRequiredObjects` in interface `ContentLocation`
  Specified by:
    `initializeRequiredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializeRequiredObjects` in interface `MdObjectBaseUtil`
  Specified by:
    `initializeRequiredObjects` in interface `PrimaryType`
  Specified by:
    `initializeRequiredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### initializePredObjects

    void initializePredObjects()
                               throws java.rmi.RemoteException

  (S) Adds the Associated objects to the predObjects which are:
  `ScriptFiles`

  Specified by:
    `initializePredObjects` in interface `Connection`
  Specified by:
    `initializePredObjects` in interface `ContentLocation`
  Specified by:
    `initializePredObjects` in interface `DeployedDataPackage`
  Specified by:
    `initializePredObjects` in interface `MdObjectBase`
  Specified by:
    `initializePredObjects` in interface `PrimaryType`
  Specified by:
    `initializePredObjects` in interface `Root`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getServerShortName

    java.lang.String getServerShortName()
                                        throws java.rmi.RemoteException

  Gets the `String` value of `ServerShortName`

  Returns:
    The `ServerShortName`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getServerShortNameState

    int getServerShortNameState()
                                throws java.rmi.RemoteException

  Gets the Metadata State of `ServerShortName`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getServerShortNameMaxLength

    int getServerShortNameMaxLength()
                                    throws java.rmi.RemoteException

  Gets the maximum length of `ServerShortName`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getRemoteAddress

    java.lang.String getRemoteAddress()
                                      throws java.rmi.RemoteException

  Gets the `String` value of `RemoteAddress`

  Returns:
    The `RemoteAddress`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getRemoteAddressState

    int getRemoteAddressState()
                              throws java.rmi.RemoteException

  Gets the Metadata State of `RemoteAddress`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getRemoteAddressMaxLength

    int getRemoteAddressMaxLength()
                                  throws java.rmi.RemoteException

  Gets the maximum length of `RemoteAddress`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getService

    java.lang.String getService()
                                throws java.rmi.RemoteException

  Gets the `String` value of `Service`

  Returns:
    The `Service`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getServiceState

    int getServiceState()
                        throws java.rmi.RemoteException

  Gets the Metadata State of `Service`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getServiceMaxLength

    int getServiceMaxLength()
                            throws java.rmi.RemoteException

  Gets the maximum length of `Service`

  Returns:
    The max size
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPort

    int getPort()
                throws java.rmi.RemoteException

  Gets the `int` value of `Port`

  Returns:
    The `Port`
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPortState

    int getPortState()
                     throws java.rmi.RemoteException

  Gets the Metadata State of `Port`

  Returns:
    The State.
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getScriptFiles

    AssociationList getScriptFiles()
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the AssociationList of `ScriptFiles`

  Returns:
    Returns the AssociationList of `ScriptFiles` which can be of type:
    File
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLibraries

    AssociationList getLibraries()
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Association list of `Libraries`

  Returns:
    The AssociationList of `Libraries` which can be of type:
    SASLibrary
    SecuredLibrary
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getScriptFiles

    AssociationList getScriptFiles(boolean fGoToServer)
                                   throws java.rmi.RemoteException,
                                          MdException

  Gets the Associationlist of `ScriptFiles`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the AssociationList of `ScriptFiles` which can be of type:
    File
    ArchiveFile
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### getLibraries

    AssociationList getLibraries(boolean fGoToServer)
                                 throws java.rmi.RemoteException,
                                        MdException

  Gets the Associationlist of `Libraries`

  Parameters:
    `fGoToServer` - boolean Get the value from the server.
  Returns:
    Returns the `Libraries` which can be of type:
    SASLibrary
    SecuredLibrary
  Throws:
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.
    `MdException` - If error getting/setting part of the object.

### setServerShortName

    void setServerShortName(java.lang.String inServerShortName)
                            throws java.rmi.RemoteException

  Sets the `ServerShortName` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inServerShortName` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setServerShortName

    void setServerShortName(java.lang.String inServerShortName,
                            int state)
                            throws java.rmi.RemoteException

  Sets the `ServerShortName` Metadata State.

  Parameters:
    `inServerShortName` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setServerShortNameState

    void setServerShortNameState(int state)
                                 throws java.rmi.RemoteException

  Sets the Metadata State of `ServerShortName`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRemoteAddress

    void setRemoteAddress(java.lang.String inRemoteAddress)
                          throws java.rmi.RemoteException

  Sets the `RemoteAddress` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inRemoteAddress` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRemoteAddress

    void setRemoteAddress(java.lang.String inRemoteAddress,
                          int state)
                          throws java.rmi.RemoteException

  Sets the `RemoteAddress` Metadata State.

  Parameters:
    `inRemoteAddress` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setRemoteAddressState

    void setRemoteAddressState(int state)
                               throws java.rmi.RemoteException

  Sets the Metadata State of `RemoteAddress`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setService

    void setService(java.lang.String inService)
                    throws java.rmi.RemoteException

  Sets the `Service` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inService` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setService

    void setService(java.lang.String inService,
                    int state)
                    throws java.rmi.RemoteException

  Sets the `Service` Metadata State.

  Parameters:
    `inService` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setServiceState

    void setServiceState(int state)
                         throws java.rmi.RemoteException

  Sets the Metadata State of `Service`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPort

    void setPort(int inPort)
                 throws java.rmi.RemoteException

  Sets the `Port` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPort` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPort

    void setPort(int inPort,
                 int state)
                 throws java.rmi.RemoteException

  Sets the `Port` Metadata State.

  Parameters:
    `inPort` - int
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPort

    void setPort(java.lang.String inPort)
                 throws java.rmi.RemoteException

  Sets the `Port` value and sets the state to MetadataState.LOCAL.

  Parameters:
    `inPort` - String
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPort

    void setPort(java.lang.String inPort,
                 int state)
                 throws java.rmi.RemoteException

  Sets the `Port` value and Metadata State.

  Parameters:
    `inPort` - String
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setPortState

    void setPortState(int state)
                      throws java.rmi.RemoteException

  Sets the Metadata State of `Port`.

  Parameters:
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setScriptFiles

    void setScriptFiles(AssociationList list)
                        throws java.rmi.RemoteException

  Sets the `ScriptFiles` list to be `list`. Objects of which can be of type:
  File
  ArchiveFile

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setScriptFiles

    void setScriptFiles(AssociationList inObjects,
                        int state)
                        throws java.rmi.RemoteException

  Sets the entire AssociationList to match the passed in Vector, sets the state of the AssociationList

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibraries

    void setLibraries(AssociationList list)
                      throws java.rmi.RemoteException

  Sets the `Libraries` list to be `list`. Objects of which can be of type:
  SASLibrary
  SecuredLibrary

  Parameters:
    `list` - AssociationList
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

### setLibraries

    void setLibraries(AssociationList inObjects,
                      int state)
                      throws java.rmi.RemoteException

  Sets the entire Libraries list to match the passed in AssociationList, sets the state of the Libraries

  Parameters:
    `inObjects` - AssociationList
    `state` - int
  Throws:
    `java.rmi.RemoteException` - If error communicating with remote object.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Metadata |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.